Index: code/branches/FICN/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 788)
+++ code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 789)
@@ -32,10 +32,10 @@
 #include "OrxonoxStableHeaders.h"
 
-#include "GraphicsEngine.h"
-
 #include <OgreRoot.h>
 #include <OgreConfigFile.h>
 #include <OgreTextureManager.h>
+
 #include "core/Debug.h"
+#include "GraphicsEngine.h"
 
 
Index: code/branches/FICN/visual_studio/audio_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/audio_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/audio_properties.vsprops	(revision 789)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="audio_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="libvorbisfile$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/base_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties.vsprops	(revision 788)
+++ code/branches/FICN/visual_studio/base_properties.vsprops	(revision 789)
@@ -4,18 +4,16 @@
 	Version="8.00"
 	Name="base_properties"
-	OutputDirectory="$(RootDir)bin\"
-	IntermediateDirectory="$(SolutionDir)obj\$(SolutionName)\$(ProjectName)\$(ConfigurationName)\"
+	InheritedPropertySheets=".\directory_properties.vsprops"
 	>
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)dependencies\include&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(DependencyDir)include&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK"
 		WarningLevel="3"
-		DebugInformationFormat="3"
 		DisableSpecificWarnings="4267; 4244; 4251"
 	/>
 	<Tool
 		Name="VCLibrarianTool"
-		OutputFile="$(LibDir)$(ProjectName).lib"
+		OutputFile="$(LibOutDir)$(ProjectName)$(CS).lib"
 		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
 		IgnoreAllDefaultLibraries="true"
@@ -23,19 +21,25 @@
 	<Tool
 		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName).dll"
-		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
+		AdditionalLibraryDirectories="$(DependencyDir)lib"
 		SubSystem="2"
-		RandomizedBaseAddress="1"
-		DataExecutionPrevention="0"
-		ImportLibrary="$(RootDir)lib\$(TargetName).lib"
+		ImportLibrary="$(LibOutDir)$(TargetName).lib"
 		TargetMachine="1"
 	/>
 	<UserMacro
-		Name="RootDir"
-		Value="$(SolutionDir)..\"
+		Name="LibOutDir"
+		Value="$(RootDir)lib\"
 	/>
 	<UserMacro
-		Name="LibDir"
-		Value="$(RootDir)lib\"
+		Name="DependencyDir"
+		Value="$(RootDir)dependencies\"
+	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+	<UserMacro
+		Name="CSS"
+		Value="$(CS)"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/base_properties_debug.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties_debug.vsprops	(revision 788)
+++ code/branches/FICN/visual_studio/base_properties_debug.vsprops	(revision 789)
@@ -16,12 +16,15 @@
 	/>
 	<Tool
-		Name="VCLibrarianTool"
-		OutputFile="$(LibDir)$(ProjectName)_d.lib"
-	/>
-	<Tool
 		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)_d.dll"
 		LinkIncremental="2"
 		GenerateDebugInformation="true"
 	/>
+	<UserMacro
+		Name="CS"
+		Value="_d"
+	/>
+	<UserMacro
+		Name="CSS"
+		Value="$(CS)"
+	/>
 </VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/base_properties_release.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties_release.vsprops	(revision 788)
+++ code/branches/FICN/visual_studio/base_properties_release.vsprops	(revision 789)
@@ -17,7 +17,15 @@
 		Name="VCLinkerTool"
 		LinkIncremental="1"
-		GenerateDebugInformation="false"
+		GenerateDebugInformation="true"
 		OptimizeReferences="2"
 		EnableCOMDATFolding="2"
 	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+	<UserMacro
+		Name="CSS"
+		Value="$(CS)"
+	/>
 </VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/base_properties_release_sse.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties_release_sse.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/base_properties_release_sse.vsprops	(revision 789)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties_release_sse"
+	InheritedPropertySheets=".\base_properties_release.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="NDEBUG"
+		EnableEnhancedInstructionSet="1"
+	/>
+	<UserMacro
+		Name="CS"
+		Value="_sse"
+	/>
+	<UserMacro
+		Name="CSS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/base_properties_release_sse2.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties_release_sse2.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/base_properties_release_sse2.vsprops	(revision 789)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties_release_sse2"
+	InheritedPropertySheets=".\base_properties_release.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		EnableEnhancedInstructionSet="2"
+	/>
+	<UserMacro
+		Name="CS"
+		Value="_sse2"
+	/>
+	<UserMacro
+		Name="CSS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/core_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/core_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/core_properties.vsprops	(revision 789)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="core_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="CORE_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/directory_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/directory_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/directory_properties.vsprops	(revision 789)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="directory_properties"
+	OutputDirectory="$(RootDir)bin\"
+	IntermediateDirectory="$(RootDir)obj\$(ProjectName)\$(ConfigurationName)"
+	>
+	<UserMacro
+		Name="RootDir"
+		Value="$(SolutionDir)..\"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/loader_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/loader_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/loader_properties.vsprops	(revision 789)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="loader_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="LOADER_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib"
+		AdditionalLibraryDirectories="$(OutDir)"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/network_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/network_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/network_properties.vsprops	(revision 789)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="network_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="NETWORK_SHARED_BUILD; WIN32_LEAN_AND_MEAN; ZLIB_WINAPI "
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="enet$(CSS).lib zlib$(CSS).lib"
+		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/orxonox_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/orxonox_properties.vsprops	(revision 789)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="orxonox_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="ORXONOX_SHARED_BUILD; LOADER_STATIC_BUILD"
+		UsePrecompiledHeader="2"
+		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib OIS$(CSS).lib"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+		IgnoreDefaultLibraryNames=""
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/orxonox_vc8.sln
===================================================================
--- code/branches/FICN/visual_studio/orxonox_vc8.sln	(revision 788)
+++ code/branches/FICN/visual_studio/orxonox_vc8.sln	(revision 789)
@@ -66,4 +66,6 @@
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Win32 = Debug|Win32
+		Release_SSE|Win32 = Release_SSE|Win32
+		Release_SSE2|Win32 = Release_SSE2|Win32
 		Release|Win32 = Release|Win32
 	EndGlobalSection
@@ -71,24 +73,48 @@
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.ActiveCfg = Debug|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.Build.0 = Debug|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.ActiveCfg = Release|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
 		{E283910F-F911-40FB-A09D-D025CA821912}.Debug|Win32.ActiveCfg = Debug|Win32
+		{E283910F-F911-40FB-A09D-D025CA821912}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{E283910F-F911-40FB-A09D-D025CA821912}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
 		{E283910F-F911-40FB-A09D-D025CA821912}.Release|Win32.ActiveCfg = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
 		{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}.Debug|Win32.ActiveCfg = Debug|Win32
+		{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
 		{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}.Release|Win32.ActiveCfg = Release|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.ActiveCfg = Debug|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.Build.0 = Debug|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
Index: code/branches/FICN/visual_studio/orxonox_vc9.sln
===================================================================
--- code/branches/FICN/visual_studio/orxonox_vc9.sln	(revision 788)
+++ code/branches/FICN/visual_studio/orxonox_vc9.sln	(revision 789)
@@ -34,5 +34,5 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "vc9\util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "testproj", "vc9\test_proj.vcproj", "{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_proj", "vc9\test_proj.vcproj", "{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}"
 EndProject
 Global
Index: code/branches/FICN/visual_studio/util_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/util_properties.vsprops	(revision 789)
+++ code/branches/FICN/visual_studio/util_properties.vsprops	(revision 789)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="util_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: code/branches/FICN/visual_studio/vc8/audio.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc8/audio.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc8/audio.vcproj	(revision 789)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\audio_properties.vsprops"
 			CharacterSet="1"
 			>
@@ -39,6 +39,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="AUDIO_SHARED_BUILD"
 			/>
 			<Tool
@@ -53,5 +51,4 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="libvorbisfile_d.lib alut_d.lib  OpenAL32.lib"
 			/>
 			<Tool
@@ -83,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\audio_properties.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="1"
@@ -104,6 +101,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="AUDIO_SHARED_BUILD"
 			/>
 			<Tool
@@ -118,5 +113,128 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="libvorbisfile.lib alut.lib  OpenAL32.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\audio_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\audio_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -173,4 +291,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
Index: code/branches/FICN/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc8/core.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc8/core.vcproj	(revision 789)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\core_properties.vsprops"
 			CharacterSet="1"
 			>
@@ -39,6 +39,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="CORE_SHARED_BUILD"
 			/>
 			<Tool
@@ -53,5 +51,4 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain_d.lib"
 			/>
 			<Tool
@@ -83,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\core_properties.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="1"
@@ -104,6 +101,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="CORE_SHARED_BUILD"
 			/>
 			<Tool
@@ -118,5 +113,128 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\core_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\core_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
 			/>
 			<Tool
Index: code/branches/FICN/visual_studio/vc8/loader.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc8/loader.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc8/loader.vcproj	(revision 789)
@@ -19,40 +19,36 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="LOADER_SHARED_BUILD"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain_d.lib"
-				AdditionalLibraryDirectories="$(OutDir)"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\loader_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -84,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops"
+			InheritedPropertySheets="..\base_properties_release.vsprops;..\loader_properties.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="1"
@@ -105,20 +101,140 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="LOADER_SHARED_BUILD"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib"
-				AdditionalLibraryDirectories="$(OutDir)"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\loader_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\loader_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
 			/>
 			<Tool
Index: code/branches/FICN/visual_studio/vc8/network.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc8/network.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc8/network.vcproj	(revision 789)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\network_properties.vsprops"
 			CharacterSet="1"
 			>
@@ -39,6 +39,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="NETWORK_SHARED_BUILD; WIN32_LEAN_AND_MEAN"
 			/>
 			<Tool
@@ -53,5 +51,4 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain_d.lib enet_d.lib zlibd.lib"
 			/>
 			<Tool
@@ -83,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\network_properties.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="1"
@@ -104,6 +101,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="NETWORK_SHARED_BUILD; WIN32_LEAN_AND_MEAN"
 			/>
 			<Tool
@@ -118,5 +113,128 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib enet.lib zlib.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\network_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\network_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -189,4 +307,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -209,4 +343,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -229,4 +379,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -249,4 +415,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -269,4 +451,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -295,4 +493,20 @@
 				<FileConfiguration
 					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
 					ExcludedFromBuild="true"
 					>
Index: code/branches/FICN/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc8/orxonox.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc8/orxonox.vcproj	(revision 789)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\orxonox_properties.vsprops"
 			CharacterSet="1"
 			>
@@ -40,8 +40,4 @@
 				Name="VCCLCompilerTool"
 				AdditionalOptions="/Zm200"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="ORXONOX_SHARED_BUILD; LOADER_STATIC_BUILD"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
 			/>
 			<Tool
@@ -56,8 +52,4 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain_d.lib OIS_d.lib"
-				OutputFile="$(OutDir)$(ProjectName)_d.exe"
-				AdditionalLibraryDirectories=""
-				IgnoreDefaultLibraryNames="/NODEFAULTLIB:MSVCRT"
 				EntryPointSymbol=""
 			/>
@@ -90,5 +82,5 @@
 			Name="Release|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\orxonox_properties.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="1"
@@ -112,8 +104,4 @@
 				Name="VCCLCompilerTool"
 				AdditionalOptions="/Zm200"
-				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="ORXONOX_SHARED_BUILD; LOADER_STATIC_BUILD"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
 			/>
 			<Tool
@@ -128,8 +116,132 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib OIS.lib"
-				OutputFile="$(OutDir)$(ProjectName).exe"
-				AdditionalLibraryDirectories=""
-				IgnoreDefaultLibraryNames="/NODEFAULTLIB:MSVCRT"
+				EntryPointSymbol=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\orxonox_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions="/Zm200"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				EntryPointSymbol=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\orxonox_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions="/Zm200"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
 				EntryPointSymbol=""
 			/>
@@ -203,4 +315,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -223,4 +351,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release_SSE2|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<Filter
@@ -290,4 +434,20 @@
 						/>
 					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE2|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
 				</File>
 				<File
@@ -312,4 +472,22 @@
 						/>
 					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE2|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
 				</File>
 				<File
@@ -334,4 +512,22 @@
 						/>
 					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE2|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
 				</File>
 				<File
@@ -349,4 +545,22 @@
 					<FileConfiguration
 						Name="Release|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release_SSE2|Win32"
 						ExcludedFromBuild="true"
 						>
Index: code/branches/FICN/visual_studio/vc8/util.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc8/util.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc8/util.vcproj	(revision 789)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
 			>
@@ -39,5 +39,4 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
 			/>
 			<Tool
@@ -72,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="1"
@@ -93,5 +92,110 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
 			/>
 			<Tool
Index: code/branches/FICN/visual_studio/vc9/orxonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/vc9/orxonox.vcproj	(revision 788)
+++ code/branches/FICN/visual_studio/vc9/orxonox.vcproj	(revision 789)
@@ -111,5 +111,5 @@
 				AdditionalOptions="/Zm200"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="ORXONOX_NO_EXPORTS;ORXONOX_SHARED_BUILD; LOADER_STATIC_BUILD"
+				PreprocessorDefinitions="ORXONOX_NO_EXPORTS;ORXONOX_SHARED_BUILD;LOADER_STATIC_BUILD"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
